package com.example.shawarma

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material.Surface
import androidx.compose.ui.Modifier
import com.example.shawarma.screens.MainNavBar
import com.example.shawarma.screens.authorization.AuthorizationScreen
import com.example.shawarma.screens.registration.RegistrationScreen
import com.example.shawarma.ui.theme.MyLightYellow
import com.example.shawarma.ui.theme.ShawarmaTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        setContent {
            ShawarmaTheme {
                // A surface container using the 'background' color from the theme
                Surface(
                    color = MyLightYellow,
                    modifier = Modifier.fillMaxSize()
                )
                {
                    MainNavBar()
                }
            }
        }
    }
}




